Subject: RE: [External] : Re: bug#55894: 26.3; [PATCH] `find-lisp.el' bugs

From: Drew Adams <[email-masked]>
Date: Fri, 17 Jun 2022 14:57:33 +0000

> >> Does this mean you won't be submitting a modified
> >> patch which takes into account the comments?
> >
> > I guess so, yes.
> [...]
> > I'm also OK with your doing nothing.  In that case,
> > I'll have to create a file (e.g. `find-lisp+.el')
> > with those fixes, for `find-lisp' to work with my
> > other code (e.g. `dired+.el' commands that make
> > snapshot Dired buffers from `find' listings (e.g.
> > from `find-(dired|lisp)').
> 
> Why would you do all that work instead of just
> submitting a modified patch?

I'm not promising to do any such work.

Why would you waste your precious time sending
such an email, instead of just fixing the bug?
Is it that you want to argue?  Why make this
about me, and not the bug?

1. I'm an Emacs user.  I reported a bug.
2. I even suggested fixes for it, showing code.
   That's a suggestion.  The reported problems
   are not a suggestion - they're problems.
3. I said I'm fine with whatever doc-string
   changes someone might want to make.
   Not that it matters whether I'm fine with
   that.  Just politely letting you know: please
   feel free to go ahead and fix the bug however
   you like.

No good deed goes unpunished, apparently.  Forget
the suggested fixes, if you like.  Concentrate on
the bug, please.  Thx.

It's Emacs's bug.

Whether I want to bother to work-around the bug
locally is up to me.  Please don't worry about
whether or why I might or might not want to.
Not your problem.

But I can say that I prefer that Emacs itself
be fixed, for the benefit of all.  If you don't
want to fix it, I can adjust.  It won't be the
first (or last) time.  Not a big deal.

It's a minor bug in a minor library that no one
has paid attention to for quite a while.  One
reason for filing the bug was to draw attention
to the library, which could be made more useful.
Or not.

At ease.